¿Qué significa JAX WS 2.0 / 2.1 compatible?

Me voy a conectar a un servicio web que tiene un WSDL que se dice que es compatible con JAX WS 2.0 / 2.1. Qué significa eso? ¿Tendrá algún impacto en la forma en que me conecto al servicio web? ¿Qué medidas específicas debo tomar para poder conectarme con éxito a un servicio web JAX WS 2.0 / 2.1? Estoy usando JDK 1.5 y dice que JAX WS solo está disponible en JDK 1.6. Actualmente, planeo construir el sobre de jabón manualmente y pasarlo como un cuerpo a HttpURLConnection. ¿Lo estoy haciendo mal?

¡Gracias de antemano!

Respuesta 1

Cumple con JAX-WS 2.0 / 2.1 solo significa que jax ws puede generar un modelo de pojo válido a partir de un wsdl, si planea manejar usted mismo la generación de mensajes de jabón de bajo nivel, no está utilizando el modelo JAX-WS

Respuesta: 2

Muy nuevo en Java y Oop en general. así que sé amable. Tengo un archivo de texto que contiene 10 enteros, searchkeysArray.txt. El programa crea una matriz llamada keysArr. Tengo otro archivo de texto de 500 ...

Intención intent1 = nueva intención (Questions.this, Questions.class); startActivity (intent1); Pequeño problema en mi aprendizaje. Lo siento por mi frenchglish ^^ Una variable cambia cada vez, yo ...

Tengo una plantilla donde necesito establecer un ui: param: <ui: param name = "pageCononical" value = "# {somevalue}" /> El valor = "# {somevalue} debe ser este s: link: < s: id de enlace = "canonical" view = "/ ...

Estoy trabajando en un juego y estoy en esa parte en la que quiero guardar el progreso del juego en un archivo de texto (o tal vez un archivo de propiedades también sería bueno), pero me gustaría guardar ese archivo en un lugar que no es ...